package de.interactive_instruments.ShapeChange.Target.SQL;

import de.interactive_instruments.ShapeChange.MapEntry;

public interface DatabaseStrategy {

	/**
	 * 
	 * @return the database data type to be used as data type for primary key columns
	 */
	String primaryKeyDataType();

	/**
	 * 
	 * @param me map entry in configuration file
	 * @param srid defined in configuration file
	 * @return (complex) database data type to be used as data type for the geometry column
	 */
	String geometryDataType(MapEntry me, int srid);

	String unlimitedLengthCharacterDataType();
	
	String limitedLengthCharacterDataType(int size);

	String geometryIndexColumnPart(String columnname);

	/**
	 * 
	 * @param normalizedClassName
	 * @param columnname
	 * @param srid
	 * @return update statement, without ; and line ending, this is done in {@link SqlDdl}
	 */
	String geometryMetadataUpdateStatement(String normalizedClassName,
			String columnname, int srid);

	/**
	 * 
	 * @param name
	 * @return name that is according to the default case of the database system, and that does not exceed the max length for names in the database system
	 */
	String normalizeName(String name);

}
