package de.interactive_instruments.ShapeChange.Target.SQL;

import de.interactive_instruments.ShapeChange.MapEntry;

/**
 * Purpose of this class: to avoid NullPointerException when the type of database system entered in the configuration does not match
 * one of the present database strategies.
 *
 */
public class NullDatabaseStrategy implements DatabaseStrategy {

	@Override
	public String primaryKeyDataType() {
		return "";
	}

	@Override
	public String geometryDataType(MapEntry me, int srid) {
		return "";
	}

	@Override
	public String unlimitedLengthCharacterDataType() {
		return "";
	}

	@Override
	public String limitedLengthCharacterDataType(int size) {
		return "";
	}

	@Override
	public String geometryIndexColumnPart(String columnname) {
		return "";
	}

	@Override
	public String geometryMetadataUpdateStatement(String normalizedClassName,
			String columnname, int srid) {
		return "";
	}

	@Override
	public String normalizeName(String name) {
		return name;
	}

}
