package de.interactive_instruments.ShapeChange.Target.SQL;

import java.util.Locale;

import org.apache.commons.lang.StringUtils;

import de.interactive_instruments.ShapeChange.MapEntry;

public class OracleStrategy implements DatabaseStrategy {

	@Override
	public String primaryKeyDataType() {
		return "INTEGER";
	}

	@Override
	public String geometryDataType(MapEntry me, int srid) {
		return me.p1;
	}

	@Override
	public String unlimitedLengthCharacterDataType() {
		return "CLOB";
	}

	@Override
	public String limitedLengthCharacterDataType(int size) {
		return "VARCHAR2(" + size + ")";
	}

	@Override
	public String geometryIndexColumnPart(String columnname) {
		return " (" + columnname + ") INDEXTYPE IS MDSYS.SPATIAL_INDEX";
	}
	
	@Override
	public String geometryMetadataUpdateStatement(String normalizedClassName,
			String columnname, int srid) {
		String s = "INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID) VALUES ('"
				+ normalizedClassName.toUpperCase(Locale.ENGLISH)
				+ "', '"
				+ columnname.toUpperCase(Locale.ENGLISH)
				+ "', MDSYS.SDO_DIM_ARRAY(FIXME)"
				+ ", "
				+ srid
				+ ")";
		return s;
	}

	@Override
	public String normalizeName(String name) {
		return StringUtils.substring(name.toUpperCase(Locale.ENGLISH), 0, 30);
	}

}
