package de.interactive_instruments.ShapeChange.Target.SQL;

import java.util.Locale;

import de.interactive_instruments.ShapeChange.MapEntry;

public class PostgreSQLStrategy implements DatabaseStrategy {

	@Override
	public String primaryKeyDataType() {
		return "bigserial";
	}

	@Override
	public String geometryDataType(MapEntry me, int srid) {
		return "geometry(" + me.p1 + "," + srid + ")";
	}
	
	@Override
	public String unlimitedLengthCharacterDataType() {
		return "text";
	}

	@Override
	public String limitedLengthCharacterDataType(int size) {
		return "character varying(" + size + ")";
	}

	@Override
	public String geometryIndexColumnPart(String columnname) {
		return " USING GIST (" + columnname + ")";
	}

	@Override
	public String geometryMetadataUpdateStatement(String normalizedClassName,
			String columnname, int srid) {
		// in PostGIS 2.0, geometry_column is a view
		return "";
	}

	@Override
	public String normalizeName(String name) {
		return name.toLowerCase(Locale.ENGLISH);
	}

}
