/*******************************************************************************
 * Copyright (c) 2011 The MITRE Corporation.
 * All rights reserved. 
 *
 * Contributors:
 * 	interactive-instruments, The MITRE Corporation
 *******************************************************************************/

/**
 * ShapeChange - a UML to GML Application Schema (UGAS) conversion tool
 *
 * This file is part of ShapeChange. ShapeChange takes a ISO 19109 
 * Application Schema from a UML model and translates it into a 
 * GML Application Schema. In addition, the tool can generate other 
 * representations of the application schema including a derived
 * feature catalogue.
 *
 * Additional information about the software can be found at
 * http://www.interactive-instruments.de/ShapeChange/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
 *
 * @author Ellen Badgley (ebadgley <at> mitre <dot> org)
 *
 * Contact:
 * interactive instruments GmbH
 * Attn: Clemens Portele
 * Trierer Strasse 70-72
 * 53115 Bonn
 * Germany
 *
 * @version 01.09.2011
 */
package us.mitre.ShapeChange.Model.GSIP;

import de.interactive_instruments.ShapeChange.Model.TextConstraint;
import de.interactive_instruments.ShapeChange.Model.TextConstraintImpl;

/**
 * This is the implementation of TextConstraint for the Enterprise Architect
 * model source. The constraint text is obtained from the Notes field of the The
 * type, status and name concepts are directly mapped to the corresponding EA
 * dialog fields.
 */
public class TextConstraintGSIP extends TextConstraintImpl implements
		TextConstraint {

/*	*//** The model object *//*
	protected GSIPDocument document = null;

	*//** Ctor from class context *//*
	public TextConstraintGSIP(GSIPDocument doc, ClassInfoGSIP ci,
			HashMap<String, Object> properties) {

		// Record the containment links.
		document = doc;
		contextModelElmtType = ModelElmtContextType.CLASS;
		contextModelElmt = ci;

		// Name, status and type
		constraintName = constr.GetName();
		constraintStatus = constr.GetStatus();
		constraintType = constr.GetType();

		// The constraint text - contains fix for EA7.5 bug
		constraintText = constr.GetNotes();
		if (constraintText != null)
			constraintText = EADocument
					.removeSpuriousEA75EntitiesFromStrings(constraintText);
	}

	*//** Ctor from attribute context *//*
	public TextConstraintGSIP(GSIPDocument doc, PropertyInfoGSIP pi,
			HashMap<String,Object> properties) {

		// Record the containment links.
		document = doc;
		contextModelElmtType = ModelElmtContextType.ATTRIBUTE;
		contextModelElmt = pi;

		// The EA constraint object
		//eaConstraintAttribute = constr;

		// Name, status and type. Since EA does not deliver a status for
		// attribute constraints we have to extract this from the name.
		// Syntax is 'name[status]'.
		constraintName = constr.GetName().trim();
		int ib = constraintName.indexOf("[");
		int ie = constraintName.indexOf("]", ib);
		constraintStatus = "";
		if (ib != -1 && ie != -1) {
			constraintStatus = constraintName.substring(ib + 1, ie).trim();
			constraintName = constraintName.substring(0, ib);
		}
		constraintType = constr.GetType();

		// The constraint text - contains fix for EA7.5 bug
		constraintText = constr.GetNotes();
		if (constraintText != null)
			constraintText = EADocument
					.removeSpuriousEA75EntitiesFromStrings(constraintText);
	}*/
}
